/* TableStyleLight16.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleLight16
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleLight16 extends TableStyleImpl {
	private TableStyleLight16() {
		super(
				"TableStyleLight16",//name,
				L16_Whole_Table, 	//wholeTable,
				L16_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				L16_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				L16_Last_Col, 	//lastCol,
				L16_First_Col,	//firstCol,
				L16_Header_Row,	//headerRow,
				L16_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem L16_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "DBE5F1", "DBE5F1"),//fill //ZSS-1162
				null
			);
	
	private static final STableStyleElem L16_Row_Stripe1 =
			L16_Col_Stripe1;
	
	private static final STableStyleElem L16_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				null,	//fill
				null //border
			);
	private static final STableStyleElem L16_First_Col =
			L16_Last_Col;
	private static final STableStyleElem L16_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							new BorderLineImpl(BorderType.DOUBLE, "4F81BD"), //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem L16_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("000000", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,//fill
					new BorderImpl(
							null, //left 
							null, //top 
							null, //right
							new BorderLineImpl(BorderType.MEDIUM, "4F81BD"), //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final BorderLineImpl L16_Border_Line = 
			new BorderLineImpl(BorderType.THIN, "4F81BD");
	private static final STableStyleElem L16_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					null,		//fill
					new BorderImpl(
							L16_Border_Line, //left 
							L16_Border_Line, //top 
							L16_Border_Line, //right
							L16_Border_Line, //bottom
							null, //diagonal
							L16_Border_Line, //vertical
							L16_Border_Line  //horizontal
					)
			);

	public static final TableStyleLight16 instance = new TableStyleLight16();
}
